{"componentChunkName":"component---src-templates-redoc-operation-js","path":"/payments/tag/Data-definitions/schema/PaymentMethodOptions/","result":{"data":{"contentItem":{"type":"redoc-operation","link":"/payments/tag/Data-definitions/schema/PaymentMethodOptions/","data":{"redocStoreStr":"{\"menu\":{\"activeItemIdx\":-1},\"definition\":{\"data\":{\"openapi\":\"3.0.3\",\"info\":{\"title\":\"Payment intents API\",\"description\":\"Building an integration with the hosted checkout integration APIs involves two actions: creating and confirming a payment intent. Each payment intent is associated with a single shopping cart or an individual customer shopping session in your integration. The payment intent contains details about the transaction, such as the supported payment methods, payment amount, and currency type.\",\"contact\":{\"name\":\"Payments intents API\"},\"version\":\"1.57.1\"},\"servers\":[{\"url\":\"https://toast-api-server\"},{\"url\":\"https://ws-preprod-api.eng.toasttab.com\"},{\"url\":\"https://ws-sandbox-api.eng.toasttab.com\"}],\"paths\":{\"/v1/payment-intents/{id}/confirm\":{\"post\":{\"summary\":\"Confirm a payment intent\",\"description\":\"Confirms a payment intent.\",\"operationId\":\"confirmPaymentIntent\",\"parameters\":[{\"name\":\"id\",\"in\":\"path\",\"required\":true,\"description\":\"The identifier of the payment intent.\",\"schema\":{\"type\":\"string\"}},{\"name\":\"Toast-Restaurant-External-ID\",\"in\":\"header\",\"required\":true,\"description\":\"The identifier of the location.\",\"schema\":{\"type\":\"string\"}},{\"$ref\":\"#/components/parameters/OptionalIdempotencyKey\"}],\"requestBody\":{\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ConfirmPaymentIntentRequest\"}}}},\"responses\":{\"200\":{\"description\":\"Successful operation. Payment intent confirmed.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/PaymentIntentResponse\"},\"examples\":{\"responseBody\":{\"summary\":\"Confirmed a payment intent\",\"value\":{\"id\":\"f8450373-f2a6-4211-8064-55b57f46c57e\",\"externalReferenceId\":\"b31a2b46-53f5-4ad9-a2e3-1dc38ff564d5\",\"sessionSecret\":\"string\",\"amount\":1,\"currency\":\"USD\",\"captureMethod\":\"MANUAL\",\"status\":\"REQUIRES_CAPTURE\",\"paymentMethodId\":\"7e532fea-bf6d-46c9-9f75-aee33d514fca\",\"creationDate\":\"2025-02-17T20:33:07.011185Z\",\"usage\":\"ON_SESSION\",\"customerId\":\"87d8e330-2878-4742-a86f-dbbb3bf522ac\",\"amountDetails\":{\"tip\":0},\"email\":\"string\",\"paymentMethodConfigurationDetails\":{\"id\":\"22fa8381-1845-4222-9264-102b46a89a96\"},\"standingInstructionType\":\"UNSCHEDULED\",\"offSession\":false,\"latestPayment\":{\"card\":{\"lastFour\":\"1111\",\"expiry\":{\"month\":\"12\",\"year\":\"27\"},\"brand\":\"VISA\"}},\"mandateId\":\"d1bc0870-b8e9-44ee-9a49-7d6c416305cc\"}}}}}},\"202\":{\"description\":\"Request accepted and is being processed asynchronously.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/PaymentIntentResponse\"}}}},\"400\":{\"description\":\"Bad request / Missing required fields.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"409\":{\"description\":\"Payment method not found or hasn't been scoped to payment intent, or the `Toast-Idempotency-Key` conflicts with a previous request.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"500\":{\"description\":\"Payment intent could not be updated due to an internal error.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}}},\"security\":[{\"OAuth2\":[\"simplified-payments-integration:write\"]},{\"OAuth2\":[\"simplified-payments-integration.server:write\"]}]}},\"/v1/payment-intents\":{\"post\":{\"summary\":\"Create a payment intent\",\"description\":\"Creates a payment intent. If successfully created, it returns a `PaymentIntentResponse` that contains information related to the payment intent.\",\"operationId\":\"createPaymentIntent\",\"parameters\":[{\"in\":\"header\",\"name\":\"Toast-Restaurant-External-ID\",\"schema\":{\"type\":\"string\",\"format\":\"string\"},\"required\":true,\"description\":\"The identifier of the location.\"},{\"$ref\":\"#/components/parameters/OptionalIdempotencyKey\"}],\"requestBody\":{\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/CreatePaymentIntentRequest\"}}}},\"responses\":{\"200\":{\"description\":\"Successful operation. Payment intent created.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/PaymentIntentResponse\"},\"examples\":{\"responseBody\":{\"summary\":\"Created a payment intent\",\"value\":{\"id\":\"f8450373-f2a6-4211-8064-55b57f46c57e\",\"externalReferenceId\":\"b31a2b46-53f5-4ad9-a2e3-1dc38ff564d5\",\"sessionSecret\":\"string\",\"amount\":1,\"currency\":\"USD\",\"captureMethod\":\"MANUAL\",\"status\":\"REQUIRES_PAYMENT_METHOD\",\"creationDate\":\"2025-02-17T20:33:07.011185Z\",\"customerId\":\"87d8e330-2878-4742-a86f-dbbb3bf522ac\",\"amountDetails\":{\"tip\":0},\"email\":\"string\",\"paymentMethodConfigurationDetails\":{\"id\":\"22fa8381-1845-4222-9264-102b46a89a96\"},\"standingInstructionType\":\"UNSCHEDULED\",\"offSession\":false,\"latestPayment\":null,\"mandateId\":null}}}}}},\"400\":{\"description\":\"Bad request / Missing required fields.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"401\":{\"description\":\"Your client is not authorized to use the API endpoint.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"409\":{\"description\":\"The `Toast-Idempotency-Key` conflicts with a previous request.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"500\":{\"description\":\"Internal server error.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}}},\"security\":[{\"OAuth2\":[\"payment-nexus.payment-intent:write\"]},{\"OAuth2\":[\"simplified-payments-integration.server:write\"]}]}},\"/v1/payment-intents/{id}\":{\"get\":{\"summary\":\"Get a payment intent\",\"description\":\"Returns a payment intent.\",\"operationId\":\"getPaymentIntent\",\"parameters\":[{\"in\":\"header\",\"name\":\"Toast-Restaurant-External-ID\",\"schema\":{\"type\":\"string\",\"format\":\"string\"},\"required\":true,\"description\":\"The identifier of the location.\"},{\"name\":\"id\",\"in\":\"path\",\"required\":true,\"description\":\"The identifier of the payment intent.\",\"schema\":{\"type\":\"string\",\"format\":\"uuid\"}}],\"responses\":{\"200\":{\"description\":\"Successful operation. Returns the payment intent.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/PaymentIntentResponse\"},\"examples\":{\"responseBody\":{\"summary\":\"Returns the payment intent\",\"value\":{\"id\":\"f8450373-f2a6-4211-8064-55b57f46c57e\",\"externalReferenceId\":\"b31a2b46-53f5-4ad9-a2e3-1dc38ff564d5\",\"sessionSecret\":\"string\",\"amount\":1,\"currency\":\"USD\",\"captureMethod\":\"MANUAL\",\"status\":\"REQUIRES_PAYMENT_METHOD\",\"creationDate\":\"2025-02-17T20:33:07.011185Z\",\"customerId\":\"87d8e330-2878-4742-a86f-dbbb3bf522ac\",\"amountDetails\":{\"tip\":0},\"email\":\"string\",\"paymentMethodConfigurationDetails\":{\"id\":\"22fa8381-1845-4222-9264-102b46a89a96\"},\"standingInstructionType\":\"UNSCHEDULED\",\"offSession\":false,\"latestPayment\":null,\"mandateId\":null}}}}}},\"400\":{\"description\":\"Bad request / Missing required fields.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"500\":{\"description\":\"Internal server error.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}}},\"security\":[{\"OAuth2\":[\"simplified-payments-integration:read\"]}]},\"post\":{\"summary\":\"Update a payment intent\",\"description\":\"Updates details of the payment intent. You can update the following fields:`amount`, `email`,`customerId`, and `amountDetails`, including `tip`. If you update the `amount`, you must also update the `amountDetails` object to include a `tip` amount.\",\"operationId\":\"updatePaymentIntent\",\"parameters\":[{\"in\":\"header\",\"name\":\"Toast-Restaurant-External-ID\",\"schema\":{\"type\":\"string\",\"format\":\"string\"},\"required\":true,\"description\":\"The identifier of the location.\"},{\"name\":\"id\",\"in\":\"path\",\"required\":true,\"description\":\"The identifier of the payment intent.\",\"schema\":{\"type\":\"string\",\"format\":\"uuid\"}},{\"$ref\":\"#/components/parameters/OptionalIdempotencyKey\"}],\"requestBody\":{\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/UpdatePaymentIntentRequest\"}}}},\"responses\":{\"200\":{\"description\":\"Successful operation. Payment intent updated.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/PaymentIntentResponse\"},\"examples\":{\"responseBody\":{\"summary\":\"Updated a payment intent\",\"value\":{\"id\":\"f8450373-f2a6-4211-8064-55b57f46c57e\",\"externalReferenceId\":\"b31a2b46-53f5-4ad9-a2e3-1dc38ff564d5\",\"sessionSecret\":\"string\",\"amount\":1,\"currency\":\"USD\",\"captureMethod\":\"MANUAL\",\"status\":\"REQUIRES_PAYMENT_METHOD\",\"creationDate\":\"2025-02-17T20:33:07.011185Z\",\"customerId\":\"87d8e330-2878-4742-a86f-dbbb3bf522ac\",\"amountDetails\":{\"tip\":0},\"email\":\"string\",\"paymentMethodConfigurationDetails\":{\"id\":\"22fa8381-1845-4222-9264-102b46a89a96\"},\"standingInstructionType\":\"UNSCHEDULED\",\"offSession\":false,\"latestPayment\":null,\"mandateId\":null}}}}}},\"400\":{\"description\":\"Bad request / Missing required fields.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"409\":{\"description\":\"Payment intent cannot be updated, or the `Toast-Idempotency-Key` conflicts with a previous request.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}},\"500\":{\"description\":\"Internal server error.\",\"content\":{\"application/json\":{\"schema\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}}}}},\"security\":[{\"OAuth2\":[\"payment-nexus.payment-intent:write\"]},{\"OAuth2\":[\"simplified-payments-integration.server:write\"]}]}}},\"components\":{\"parameters\":{\"OptionalIdempotencyKey\":{\"name\":\"Toast-Idempotency-Key\",\"in\":\"header\",\"required\":false,\"description\":\"A unique key for the request. A retry with the same key and request returns the original\\nresponse instead of repeating the operation. Reusing a key with a different request, or\\nwhile the original request is still in progress, returns a 409. Keys expire after 24 hours.\\nA blank key returns a 400.\\n\",\"schema\":{\"type\":\"string\",\"minLength\":1,\"maxLength\":255}}},\"schemas\":{\"ErrorMessage\":{\"type\":\"object\",\"description\":\"An object that contains information about one or more errors that the\\nToast platform encountered when processing your API request. For more\\ninformation, see [API responses and errors in the _Toast Developer\\nGuide_](https://doc.toasttab.com/doc/devguide/apiResponsesAndErrors.html).\\n\",\"properties\":{\"status\":{\"type\":\"integer\",\"format\":\"int32\",\"description\":\"The HTTP status code of the response.\\n\"},\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"description\":\"A numeric identifier for the error condition.\\n\"},\"message\":{\"type\":\"string\",\"description\":\"A description of the error condition.\\n\"},\"messageKey\":{\"type\":\"string\",\"description\":\"Reserved for future use.\\n\"},\"fieldName\":{\"type\":\"string\",\"description\":\"Reserved for future use.\\n\"},\"link\":{\"type\":\"string\",\"description\":\"Reserved for future use.\\n\"},\"requestId\":{\"type\":\"string\",\"description\":\"The unique identifier of the HTTP request that your client sent to\\nthe Toast API.\\n\"},\"developerMessage\":{\"type\":\"string\",\"description\":\"Additional detail about the error condition, if it is available.\\n\"},\"errors\":{\"type\":\"array\",\"description\":\"A JSON array of `ErrorMessage` objects.\\n\",\"items\":{\"$ref\":\"#/components/schemas/ErrorMessage\"}},\"canRetry\":{\"type\":\"boolean\",\"description\":\"Indicates whether you can retry the operation that caused the error.\"}}},\"AmountDetails\":{\"required\":[\"tip\"],\"type\":\"object\",\"properties\":{\"tip\":{\"type\":\"integer\",\"description\":\"The portion of the amount that is tip.\",\"format\":\"int32\"}},\"description\":\"Details about a tip amount.\"},\"PaymentIntentResponse\":{\"required\":[\"amount\",\"amountDetails\",\"captureMethod\",\"creationDate\",\"currency\",\"externalReferenceId\",\"id\",\"paymentMethodConfigurationDetails\",\"sessionSecret\",\"status\"],\"type\":\"object\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"The identifier of the payment intent.\",\"format\":\"uuid\"},\"externalReferenceId\":{\"type\":\"string\",\"description\":\"The unique identifier for the payment intent generated by the location or integration partner. The `externalReferenceId` can be applied as a payment identifier for a Toast platform check.\",\"format\":\"uuid\"},\"sessionSecret\":{\"type\":\"string\",\"description\":\"A unique and randomized identifier for the payment intent.\"},\"amount\":{\"type\":\"integer\",\"description\":\"Amount of the payment to be taken in minor units. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.01 US (e.g., a value of 1) or equivalent in charge currency. The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).\",\"format\":\"int32\"},\"currency\":{\"type\":\"string\",\"description\":\"Three-letter ISO 4217 currency code, in uppercase. Must be a supported currency.\",\"enum\":[\"USD\",\"CAD\",\"EUR\",\"AUD\",\"GBP\"]},\"captureMethod\":{\"type\":\"string\",\"description\":\"Controls when funds are captured from the customer's account.\\n* `MANUAL` - Places a hold on your customer's funds when the card payment is authorized.\\n* `AUTOMATIC` - Funds are automatically captured when the gift card is authorized. \\n\",\"enum\":[\"MANUAL\",\"AUTOMATIC\"]},\"status\":{\"type\":\"string\",\"description\":\"Status of the payment intent.\\n* `REQUIRES_PAYMENT_METHOD` - The initial status of the payment intent. A payment method must be attached to the payment intent. \\n* `PROCESSING` - The payment intent is being updated or performing an action. \\n* `REQUIRES_CAPTURE` - The payment intent has been successfully confirmed. The payment method is authorized and can capture the payment amount. \\n* `SUCCEEDED` - The payment intent successfully captured the payment intent.  \\n* `FAILED` - The payment intent failed to authorize or capture the payment amount. \\n* `CANCELLED` - The payment was canceled before authorization or the payment was voided. \\n\\nFor more information, see [Payment intent statuses](https://doc.toasttab.com/doc/paymentsintegrationapidraftdoc/apiHostedCheckoutPaymentIntentStatuses.html) \\n\",\"enum\":[\"REQUIRES_PAYMENT_METHOD\",\"PROCESSING\",\"REQUIRES_CAPTURE\",\"SUCCEEDED\",\"FAILED\",\"CANCELLED\"]},\"paymentMethodId\":{\"type\":\"string\",\"description\":\"The unique identifier of the payment method.\",\"format\":\"uuid\"},\"creationDate\":{\"type\":\"string\",\"description\":\"The date and time the payment intent was created in UTC format.\",\"example\":\"2023-07-07T14:01:27Z\"},\"usage\":{\"type\":\"string\",\"nullable\":true,\"description\":\"Field used to determine if the logged-in customer will save the payment method for future usage. The value is `ON_SESSION` for cards saved during checkout.\\n\\n* `ON_SESSION` - Saves the payment method for future usage by the customer.\\n\\n* `OFF_SESSION` - Saves the payment method for future usage initiated by the location (merchant).\\n\\n* `ON_AND_OFF_SESSION` - Saves the payment method for future usage initiated by the customer or the location (merchant).\\n\",\"enum\":[\"ON_SESSION\",\"OFF_SESSION\",\"ON_AND_OFF_SESSION\"]},\"customerId\":{\"type\":\"string\",\"description\":\"The unique identifier of the customer record that identifies the customer in the Toast platform. You can optionally include the `customerId` to retrieve the customer's payment methods saved to their profile.\"},\"amountDetails\":{\"$ref\":\"#/components/schemas/AmountDetails\"},\"email\":{\"type\":\"string\",\"description\":\"The email address of the customer making the payment.\"},\"paymentMethodConfigurationDetails\":{\"$ref\":\"#/components/schemas/PaymentMethodConfigurationDetails\"},\"offSession\":{\"type\":\"boolean\",\"description\":\"Determines if the transaction is customer or merchant-initiated. Set to `false` if the transaction is customer-initiated. Set to `true` if the transaction is merchant-initiated.\"},\"standingInstructionType\":{\"type\":\"string\",\"description\":\"The instruction type used by the merchant and sent to the payment processor.\",\"enum\":[\"INSTALLMENT\",\"RECURRING\",\"UNSCHEDULED\"]},\"mandateId\":{\"type\":\"string\",\"nullable\":true,\"description\":\"The unique identifier of the mandate. The `mandateId` must be provided to create a merchant-initiated transaction.\",\"format\":\"uuid\"},\"paymentMethodOptions\":{\"allOf\":[{\"$ref\":\"#/components/schemas/PaymentMethodOptions\"}]},\"lastPaymentError\":{\"allOf\":[{\"$ref\":\"#/components/schemas/LastPaymentError\"}]}},\"description\":\"Response to create a payment intent.\"},\"PaymentMethodConfigurationDetails\":{\"type\":\"object\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"The identifier of the payment method configuration. If the `paymentMethodConfigurationId` is not present, the hosted checkout iframe uses the default configuration. The default configuration only enables keyed-in and saved card payment methods.\",\"format\":\"uuid\"}},\"description\":\"Details about a payment method configuration.\"},\"LastPaymentError\":{\"type\":\"object\",\"nullable\":true,\"description\":\"Details about the most recent payment authorization failure on this payment intent.\",\"properties\":{\"type\":{\"type\":\"string\",\"description\":\"The reason the payment authorization failed.\\n* `CARD_DECLINED` - The card was declined by the issuer.\\n* `FRAUDULENT` - The payment was rejected due to suspected fraud.\\n\",\"enum\":[\"CARD_DECLINED\",\"FRAUDULENT\"]},\"code\":{\"type\":\"string\",\"nullable\":true,\"description\":\"The decline reason returned by the card issuer, if available.\"}}},\"ConfirmPaymentIntentRequest\":{\"type\":\"object\",\"properties\":{\"paymentMethodId\":{\"type\":\"string\",\"description\":\"The identifier of the payment method associated to this payment intent.\"},\"sessionSecret\":{\"type\":\"string\",\"description\":\"A unique and randomized identifier for the payment intent that can be used to create a payment method via iframe and SDKs, or payment methods API.\"},\"email\":{\"type\":\"string\",\"description\":\"The email address of the customer making the payment. Must consist of the following characters: `a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $`. An email address is required for digital or online transactions and must be provided at least once during the payment intent workflow by including it in the request body of the create payment intent, update payment intent, or confirm payment intent request.\"},\"customerId\":{\"type\":\"string\",\"description\":\"The unique identifier of the customer record that identifies the customer in the Toast platform. The identifier is used to retrieve the customer's payment methods saved to their profile.\"},\"paymentMethodOptions\":{\"allOf\":[{\"$ref\":\"#/components/schemas/PaymentMethodOptions\"}]}},\"description\":\"Request to confirm a payment intent.\"},\"CreatePaymentIntentRequest\":{\"required\":[\"amount\",\"currency\",\"externalReferenceId\"],\"type\":\"object\",\"properties\":{\"amount\":{\"type\":\"integer\",\"description\":\"Amount of the payment to be taken in minor units. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.01 US (e.g., a value of 1) or equivalent in charge currency. The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).\",\"format\":\"int32\",\"minimum\":1,\"maximum\":99999999},\"amountDetails\":{\"$ref\":\"#/components/schemas/AmountDetails\"},\"currency\":{\"type\":\"string\",\"description\":\"Three-letter ISO 4217 currency code, in uppercase. Must be a supported currency.\",\"enum\":[\"USD\",\"CAD\",\"EUR\",\"AUD\",\"GBP\"]},\"externalReferenceId\":{\"type\":\"string\",\"description\":\"The unique identifier for the payment intent generated by the location or integration partner. The `externalReferenceId` can be applied as a payment identifier for a Toast platform check.\",\"format\":\"uuid\"},\"captureMethod\":{\"type\":\"string\",\"description\":\"Controls when funds are captured from the customer's account.\\n* `MANUAL` - This places a hold on your customer's funds when the payment is authorized.\\n* `AUTOMATIC` - Funds are captured automatically at authorization. Gift card payments must use `AUTOMATIC`; `MANUAL` is rejected for gift cards.\\n\",\"enum\":[\"MANUAL\",\"AUTOMATIC\"]},\"customerId\":{\"type\":\"string\",\"description\":\"The unique identifier of the customer record that identifies the customer in the Toast platform. You can optionally include the `customerId` to retrieve the customer's payment methods saved to their profile.\",\"format\":\"uuid\"},\"email\":{\"type\":\"string\",\"description\":\"The email address of the customer making the payment. Must consist of the following characters: `a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $`. An email address is required for digital or online transactions and must be provided at least once during the payment intent workflow by including it in the request body of the create payment intent, update payment intent, or confirm payment intent request.\"},\"paymentMethodConfigurationId\":{\"type\":\"string\",\"description\":\"The identifier of the payment method configuration. If the `paymentMethodConfigurationId` is not present, the hosted checkout iframe uses the default configuration. The default configuration only enables keyed-in and saved card payment methods.\",\"format\":\"uuid\"},\"paymentMethodId\":{\"type\":\"string\",\"description\":\"The identifier of the payment method associated to this payment intent.\",\"format\":\"uuid\"},\"paymentMethodOptions\":{\"allOf\":[{\"$ref\":\"#/components/schemas/PaymentMethodOptions\"}]},\"mandateId\":{\"type\":\"string\",\"nullable\":true,\"description\":\"The unique identifier of the mandate. The `mandateId` is required to create a merchant-initiated transaction. The `mandateId` retrieves the `standingInstructionType` for the customer's payment card.\",\"format\":\"uuid\"},\"standingInstructionType\":{\"type\":\"string\",\"description\":\"The instruction type used by the merchant and sent to the payment processor.\\n\\n* `INSTALLMENT` - The total purchase amount charged on a repeating basis.\\n\\n* `RECURRING` - A series of set payments charged at regular intervals.\\n\\n* `UNSCHEDULED` - A single merchant-initiated payment.\\n\"}},\"description\":\"Request to create a payment intent.\"},\"UpdatePaymentIntentRequest\":{\"type\":\"object\",\"properties\":{\"amount\":{\"type\":\"integer\",\"description\":\"Amount of the payment to be taken in minor units. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). The minimum amount is $0.01 US (e.g., a value of 1) or equivalent in charge currency. The amount value supports up to eight digits (e.g., a value of 99999999 for a USD charge of $999,999.99).\",\"format\":\"int32\",\"minimum\":1,\"maximum\":99999999},\"email\":{\"type\":\"string\",\"description\":\"The email address of the customer making the payment. Must consist of the following characters: `a-z, A-Z, 0-9, =, ., -, _, +, @, :, &, ^, %, !, $`. An email address is required for digital or online transactions and must be provided at least once during the payment intent workflow by including it in the request body of the create payment intent, update payment intent, or confirm payment intent request.\"},\"customerId\":{\"type\":\"string\",\"description\":\"The unique identifier of the customer record that identifies the customer in the Toast platform. The identifier is used to retrieve the customer's payment methods saved to their profile.\",\"format\":\"uuid\"},\"amountDetails\":{\"$ref\":\"#/components/schemas/AmountDetails\"},\"externalReferenceId\":{\"type\":\"string\",\"description\":\"The unique identifier for the payment intent generated by the location or integration partner. The `externalReferenceId` can be applied as a payment identifier for a Toast platform check.\",\"format\":\"uuid\"},\"paymentMethodOptions\":{\"allOf\":[{\"$ref\":\"#/components/schemas/PaymentMethodOptions\"}]},\"captureMethod\":{\"type\":\"string\",\"description\":\"Controls when funds are captured from the customer's account. Use this to correct a payment intent that defaulted to `MANUAL` before confirming.\\n* `MANUAL` - This places a hold on your customer's funds when the payment is authorized.\\n* `AUTOMATIC` - Funds are captured automatically at authorization. Gift card payments must use `AUTOMATIC`; `MANUAL` is rejected for gift cards.\\n\",\"enum\":[\"MANUAL\",\"AUTOMATIC\"]}},\"description\":\"Request to update a payment intent.\"},\"PaymentMethodOptions\":{\"type\":\"object\",\"description\":\"Configurable options for each payment method type.\",\"properties\":{\"card\":{\"type\":\"object\",\"properties\":{\"requestPartialAuthorization\":{\"type\":\"boolean\",\"nullable\":true,\"description\":\"Determines if partial authorization is requested for a payment intent.\"}}},\"giftCard\":{\"type\":\"object\",\"properties\":{\"requestPartialAuthorization\":{\"type\":\"boolean\",\"nullable\":true,\"description\":\"Determines if partial authorization is requested for a payment intent.\"}}},\"giftCardPresent\":{\"type\":\"object\",\"properties\":{\"requestPartialAuthorization\":{\"type\":\"boolean\",\"nullable\":true,\"description\":\"Determines if partial authorization is requested for a payment intent.\"}}},\"cardPresent\":{\"type\":\"object\",\"properties\":{\"requestPartialAuthorization\":{\"type\":\"boolean\",\"nullable\":true,\"description\":\"Determines if partial authorization is requested for a payment intent.\"}}}}}},\"securitySchemes\":{\"OAuth2\":{\"type\":\"oauth2\",\"flows\":{\"clientCredentials\":{\"tokenUrl\":\"/authentication/v1/authentication/customer/oauth/token\",\"scopes\":{\"payment-nexus.payment-intent:read\":\"PaymentIntent read access\",\"payment-nexus.payment-intent:write\":\"PaymentIntent write access\",\"payment-nexus.payment:read\":\"Payment read access\",\"payment-nexus.payment:write\":\"Payment write access\",\"payment-nexus.event-payment:write\":\"Payment event write access\",\"payment-nexus.event-capture:write\":\"Capture event write access\",\"payment-nexus.event-cancel:write\":\"Cancel event write access\",\"payment-nexus.payouts:read\":\"Payout read access\",\"payment-nexus.payouts:write\":\"Payout write access\"}}}}}}}},\"options\":{\"hideTryItPanel\":true,\"pagination\":\"item\",\"generateCodeSamples\":{\"languages\":[{\"lang\":\"curl\"},{\"lang\":\"Java\"},{\"lang\":\"Python\"},{\"lang\":\"Node.js\"},{\"lang\":\"C#\"}]},\"showConsole\":false,\"hideHostname\":true,\"hideDownloadButton\":true,\"sortPropsAlphabetically\":true,\"schemaDefinitionsTagName\":\"Data definitions\",\"disableSearch\":true,\"ctrlFHijack\":false,\"disableSidebar\":true,\"theme\":{\"overrides\":{\"DownloadButton\":{\"custom\":\"\"},\"NextSectionButton\":{\"custom\":\"\"}},\"codeBlock\":{\"tokens\":{}},\"schema\":{\"constraints\":{},\"examples\":{}},\"rightPanel\":{\"textColor\":\"#eeeeee\"},\"typography\":{\"heading1\":{},\"heading2\":{},\"heading3\":{},\"rightPanelHeading\":{}}}}}","redocHasSecurityDefinitions":false,"redocInfoPageLink":"/payments/overview/","redocItemId":"tag/Data-definitions/schema/PaymentMethodOptions","redocHasInfoPage":false,"settings":{"generateCodeSamples":{"languages":[{"lang":"curl"},{"lang":"Java"},{"lang":"Python"},{"lang":"Node.js"},{"lang":"C#"}]},"showConsole":false,"hideHostname":true,"hideDownloadButton":true,"sortPropsAlphabetically":true,"schemaDefinitionsTagName":"Data definitions","hideTryItPanel":true},"requestLogin":false,"lastModified":"2024-08-02T14:48:40.000Z"},"seo":{"title":"PaymentMethodOptions"}}},"pageContext":{"id":"cef9614c-6815-505f-9ee8-5fb9142f6469tag/Data-definitions/schema/PaymentMethodOptions/__redocly content/payments/tag/Data-definitions/schema/PaymentMethodOptions/","seo":{"title":"PaymentMethodOptions","description":"<SchemaDefinition showWriteOnly={true} schemaRef=\"#/components/schemas/PaymentMethodOptions\" />","image":"","keywords":null,"jsonLd":null,"lang":null},"pageId":"payments.reference.page.yaml#tag/Data-definitions/schema/PaymentMethodOptions/","pageBaseUrl":"/payments","type":"redoc-operation","toc":{"enable":true,"maxDepth":4,"headings":null},"data":{},"catalogInfo":null,"link":"/payments/tag/Data-definitions/schema/PaymentMethodOptions/","sidebarName":"api-reference","isLanding":false,"showPrevButton":null,"showNextButton":null,"apiVersions":[{"definitionId":"payments","id":"payments","title":"payments","isDefault":true,"apiId":null}],"apiVersionId":null,"isDefaultApiVersion":true}},"staticQueryHashes":["1123603147","1180902673","1302185487","1344209882","1398840060","1520077861","1975142765","2667623876","2950305614","3743992808","561138138"]}